/*
* Naamari-lautta - a wrapper of console cloud clients for Naamari
* Copyright (c) 2015-2017 Sunkware
* Key FP = 6B6D C8E9 3438 6E9C 3D97  56E5 2CE9 A476 99EF 28F6
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program. If not, see <http://www.gnu.org/licenses/>.
*
* [ WWW: sunkware.org ]                         [ E-MAIL: sunkware@gmail.com ]
 */

package main

import (
	"fmt"
)

func About() error {

	fmt.Println("Naamari-lautta - a wrapper of console cloud clients for Naamari")
	fmt.Println("Copyright (c) 2015-2017 Sunkware")
	fmt.Println("Key FP = 6B6D C8E9 3438 6E9C 3D97  56E5 2CE9 A476 99EF 28F6")
	fmt.Println("Version " + APPLICATION_VERSION + " (" + APPLICATION_DATE + ")")

	fmt.Println("")
	fmt.Println("This program is free software: you can redistribute it and/or modify")
	fmt.Println("it under the terms of the GNU General Public License as published by")
	fmt.Println("the Free Software Foundation, either version 3 of the License, or")
	fmt.Println("(at your option) any later version.")
	fmt.Println("This program is distributed in the hope that it will be useful,")
	fmt.Println("but WITHOUT ANY WARRANTY; without even the implied warranty of")
	fmt.Println("MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.")
	fmt.Println("See the GNU General Public License for more details.")
	fmt.Println("You should have received a copy of the GNU General Public License")
	fmt.Println("along with this program. If not, see <http://www.gnu.org/licenses/>.")
	fmt.Println("")

	fmt.Println("[ WWW: sunkware.org ]                         [ E-MAIL: sunkware@gmail.com ]")

	return nil
}
